
Foreman - Bug #7546

Cannot change current organization/location from mobile device

09/19/2014 11:36 AM - Dominic Cleal

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1144214 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1144214

Description of problem:

When accessing the Satellite WebUI from Firefox on Android, it's not possible to change the currently selection organization or

location.

The menu showing the current location/org and the "Manage Organizations" and "Manage Locations" links appears, but touching the

listed location just reselects the current location, there doesn't appear to be any way of bringing up the list of locations to select a new

one.

Version-Release number of selected component (if applicable):

Not sure how to determine this.

How reproducible:

100%

Additional info:

Haven't yet checked if this also occurs with Chrome or other Android browsers.

Related issues:

Related to Foreman - Bug #18492: Move to vertical navigation Closed 02/14/2017

History

#1 - 09/19/2014 11:37 AM - Dominic Cleal

- Category set to Web Interface

- Priority changed from Low to Normal

I think it kind of works, but only if I select the organisation switcher, go back up to the top menu and back again, then the list of orgs appears.  It's not

working right.  That said, Bootstrap are known to be dropping support for submenus because of lack of mobile support, so it would probably need

redesigning to avoid them.

#2 - 02/11/2016 09:33 AM - Bryan Kearney

- Category changed from Web Interface to Organizations and Locations

#3 - 09/24/2017 10:53 AM - Ohad Levy

- Related to Bug #18492: Move to vertical navigation added

#4 - 10/23/2017 10:11 AM - Amir Fefer

- Status changed from New to Resolved
Resolved in http://projects.theforeman.org/issues/18492
